# GPX Tracker Configuration
# Tour de l'Avenir 2026 — Étape 7 — Strambino → Ceresole Reale

display_name: "Tour de l'Avenir 2026 — Étape 7 — Strambino → Ceresole Reale"
gpx_file: "tour_de_l_avenir_2026_etape_7_resampled_2.5m.gpx"

devices:
  - name: "moto1"
    type: "rest_api"
    source_type: "mqtt"
    ip: ""
    port: ""
    input_id: ""
    api_key: ""
    mqtt_topic: "octal/gpx_tracker/gps/gps-moto1/position"
    vehicle_category: "moto"
  - name: "moto2"
    type: "rest_api"
    source_type: "mqtt"
    ip: ""
    port: ""
    input_id: ""
    api_key: ""
    mqtt_topic: "octal/gpx_tracker/gps/gps-moto2/position"
    vehicle_category: "moto"
  - name: "heli1"
    type: "gps"
    source_type: "haivision"
    ip: "aveo.octal.be"
    port: "8893"
    input_id: "3"
    api_key: "8e0a77b804e266d7bd-1658320166060"
    mqtt_topic: ""
    vehicle_category: "helicopter"

algo:
  gap_mean_window_s: 15
  gap_smoothing: true
  gap_hold_last_value: true
  gap_smooth_median_window: 15
  gap_smooth_ema_alpha: 0.20
  gap_mean_trim_pct: 10
